Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 76084 - [new package] Dibbler - a portable DHCPv6 implementation
Summary: [new package] Dibbler - a portable DHCPv6 implementation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: The ipv6 Team
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2004-12-29 15:05 UTC by Tomasz Mrugalski
Modified: 2005-09-21 00:19 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild (dibbler-0.3.1.ebuild,1.70 KB, text/plain)
2004-12-29 15:07 UTC, Tomasz Mrugalski
Details
ChangeLog (ChangeLog,304 bytes, text/plain)
2004-12-29 15:07 UTC, Tomasz Mrugalski
Details
Manifest file (Manifest,312 bytes, text/plain)
2004-12-29 15:08 UTC, Tomasz Mrugalski
Details
metadata file (metadata.xml,220 bytes, text/plain)
2004-12-29 15:09 UTC, Tomasz Mrugalski
Details
a patch to solve issues reported by the flawfinder with severity 3-5. (dibbler-0.3.1-security.patch,6.71 KB, text/plain)
2004-12-29 15:10 UTC, Tomasz Mrugalski
Details
digest (digest-dibbler-0.3.1,70 bytes, text/plain)
2004-12-29 15:11 UTC, Tomasz Mrugalski
Details
New ebuild (dibbler-0.3.1.ebuild,1.31 KB, text/plain)
2005-01-18 16:08 UTC, Peter Johanson (RETIRED)
Details
Ebuild for 0.4.1 version (dibbler-0.4.1.ebuild,1.45 KB, text/plain)
2005-08-24 17:18 UTC, Tomasz Mrugalski
Details
/etc/init.d/ script for client (dibbler-client,477 bytes, text/plain)
2005-08-24 17:20 UTC, Tomasz Mrugalski
Details
/etc/init.d/ script for relay (dibbler-relay,470 bytes, text/plain)
2005-08-24 17:20 UTC, Tomasz Mrugalski
Details
/etc/init.d/ script for server (dibbler-server,477 bytes, text/plain)
2005-08-24 17:20 UTC, Tomasz Mrugalski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz Mrugalski 2004-12-29 15:05:04 UTC
Dibbler is a portable DHCPv6 implementation featuring both server and client. It is not present in the Gentoo. There is outdated dhcpv6 package, which is another DHCPv6 implementation, so there is clearly need for such functionality.

Reproducible: Always
Steps to Reproduce:
1. emerge dibbler
2. emerge search dhcpv6 


Actual Results:  
1. dibbler ebuild is not present.
2. Only dhcpv6 from sourceforge is found.

Expected Results:  
1. Install dibbler
2. Should display both DHCPv6 implementations: sourceforge and dibbler
Comment 1 Tomasz Mrugalski 2004-12-29 15:07:20 UTC
Created attachment 47169 [details]
ebuild

ebuild file.
Place it in the net-misc/dibbler/ directory.
Comment 2 Tomasz Mrugalski 2004-12-29 15:07:58 UTC
Created attachment 47170 [details]
ChangeLog
Comment 3 Tomasz Mrugalski 2004-12-29 15:08:29 UTC
Created attachment 47171 [details]
Manifest file
Comment 4 Tomasz Mrugalski 2004-12-29 15:09:20 UTC
Created attachment 47172 [details]
metadata file
Comment 5 Tomasz Mrugalski 2004-12-29 15:10:36 UTC
Created attachment 47173 [details]
a patch to solve issues reported by the flawfinder with severity 3-5.

Place this file in the files directory.
Comment 6 Tomasz Mrugalski 2004-12-29 15:11:07 UTC
Created attachment 47174 [details]
digest
Comment 7 Tomasz Mrugalski 2004-12-29 15:23:33 UTC
Notes for developer reviewing/accepting this ebuild:
- ebuild was checked with "repoman full" and looks ok.
- add following entry to the /usr/portage/profiles/use.local.desc
net-misc/dibbler:latex - Generates User's Guide and Developer's Guide documents
- Dibbler is written mainly in the C++, so flawfinder was used. All security issues marked as 5,4 or 3 were removed.
- Before using flawfinder, delete bison++, port-winxp and port-win2k directories. They are not being compiled (but report lots of issues).

There is a nice User's Guide and Developer's Guide document, written in the LaTeX system. However, requiring user (an admin probably) to install the whole LaTeX system to view documentation is just plain wrong. So I suppose a better way is to modify ebuild to download already compiled documentation form http://klub.com.pl/dhcpv6/dibbler-0.3.1-doc.tar.gz file.

Comment 8 Peter Johanson (RETIRED) gentoo-dev 2005-01-18 16:08:04 UTC
Created attachment 48905 [details]
New ebuild

Here's a new version of the ebuild, with proper documentation handling, and a
few other fix up. Please test and confirm.
Comment 9 Tomasz Mrugalski 2005-01-19 14:52:19 UTC
I have checked the latest ebuild. It works ok. Before emerging, I had to issue following commands:

ebuild /path/to/dibbler-0.3.1.ebuild digest
echo ">=net-misc/dibbler-0.3.1" >> /etc/portage/package.keywords

After that simple steps, command "emerge dibbler" installed dibbler on my system, which worked perfectly without any problems. It's also great that dibbler-user (and dibbler-devel) PDF files are present in the /usr/share/doc/dibbler-0.3.1 directory.

Summary: Everything works ok.
Comment 10 Marek Tomczyk 2005-01-23 12:56:04 UTC
Tested with ACCEPT_KEYWORDS="~x86" Gentoo release. Works fine, ebuild seems to be OK. I suggest adding an init.d scripts for starting/stoppig daemons, and for a Gentoo-like rc-update daemon managing.
Comment 11 Janusz Pruszewicz 2005-01-24 04:53:18 UTC
Checked with latest ebuild. works well.
Comment 12 Tomasz Mrugalski 2005-02-07 13:26:09 UTC
I have contacted Guy Martin (GMSoft) and he suggested to reassign this bug to bug-wranglers, as he is permanently out of time. I have also contacted Peter Johanson (Latexer) and he provided various ebuild improvements.
Comment 13 Daniel Webert 2005-05-10 07:00:30 UTC
can we put this in cvs?
Comment 14 Daniel Webert 2005-05-10 07:18:45 UTC
can we put this in cvs?
Comment 15 Tomasz Mrugalski 2005-08-24 17:18:40 UTC
Created attachment 66824 [details]
Ebuild for 0.4.1 version
Comment 16 Tomasz Mrugalski 2005-08-24 17:20:11 UTC
Created attachment 66825 [details]
/etc/init.d/ script for client
Comment 17 Tomasz Mrugalski 2005-08-24 17:20:36 UTC
Created attachment 66826 [details]
/etc/init.d/ script for relay
Comment 18 Tomasz Mrugalski 2005-08-24 17:20:55 UTC
Created attachment 66827 [details]
/etc/init.d/ script for server
Comment 19 Tomasz Mrugalski 2005-08-24 17:23:26 UTC
I have uploaded ebuild and scripts for 0.4.1 version.
This bug remains in the NEW state for over 8 months...
Comment 20 Tomasz Mrugalski 2005-09-13 12:44:15 UTC
All required files are provided on the project website:
http://klub.com.pl/dhcpv6/dibbler/dibbler-0.4.1-gentoo.tar.gz
Comment 21 Tomasz Mrugalski 2005-09-20 14:25:44 UTC
This ebuild was commited to official portage. Thanks, GMsoft!
I have verified that is works ok, so this bug should be resolved/closed.
Comment 22 Guy Martin (RETIRED) gentoo-dev 2005-09-21 00:19:46 UTC
In cvs